Subject: [os2genau_digest] No. 1269
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 2 Mar 2006 00:04:35 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 01 March 2006
 Number  1269
**************************************************

Subjects for today
 
1  Re:  Programs : Chuck McKinnis <mckinnis at sandia dot net>
2  Re:  Programs : Ed Durrant <edurrant at bigpond dot net dot au>
3   Text from a PDF : John Angelico" <talldad at kepl dot com dot au>
4  Re:  Programs : Alan Duval <amoht at tpg dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 28 Feb 2006 07:59:05 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  Programs

Alan Duval wrote:
> Is it necessary to buy OpenOffice from Mensys to have a functioning copy 
> for eCS? As it is freely available for other platforms I don't see why 
> Mensys charges for it.

Because someone had to be paid to get it to run on OS/2.

> Also could someone tell me what Dialog Enhancer does? I came across it 
> when checking for new downloads with ECSMT. It doesn't have any docs 
> with it.

Dialog Enhancer was originally written by Richard Castle back in 1999. 
 From the original documentation:

 >> quote
With the release of OS/2 Warp 4.0, IBM improved on much of the PM 
interface by including a new system font and new properties notebooks. 
Unfortunately, much of the system was left untouched, using the old 
System Proportional font, which gave the new interface an unfinished 
look.  Dialog Enhancer picks up here and completes the update by adding 
the new look to the system applications and dialogs.

Dialog Enhancer '99 improves the look of the OS/2 desktop by modifying 
the dialog files held within the system.  The aesthetic look and 
operation of the dialogs can be changed.  Components that Dialog 
Enhancer '99 can update are:

System font used - Changes this to the new OS/2 Warp 4.0 system font.
Control positioning - Improves the positioning and size of these.
New icons and bitmaps -	Adds new icon resources to the dialogs.
Extra text - Adds extra information to some dialogs to reduce confusion.
Window - Repairs windows with no border definitions.
Sizing - Reduces the screen footprint for all windows.
New system icons - Updates some of the system icon set with new icons.
Win-OS/2 - Makes the Win-OS/2 support look & feel more like OS/2
3rd Party Apps - Support applications other than those developed through 
IBM.

In addition to enhancing the look of the desktop, Dialog Enhancer also 
provides the following additional features:

1. Small font option - For registered users only, the installer gives 
the user the option to specify a smaller 32x32 icon scheme for higher 
screen resolutions.
2. Increased memory - The redesigned resources compiled into the system 
are now compressed. This means that each program/DLL takes less space 
when loaded into memory.
3. Smooth horizontal scroll - A small but useful feature which fixes the 
horizontal window "jump" movement when dynamic window drag is enabled.
4. Colour Manager - Users now have the ability to adjust the colours of 
the window controls to suit their desktop schemes.
 >> end quote

Richard allowed SSI to use and update his code to furnish dialog 
enhancer updates that are specific to eCS.

-- 
Chuck McKinnis
Covenant Solutions
http://www.7cities dot net/~mckinnis/os2/
505-286-3191

Everyone has a photographic memory. Some don't have film.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 01 Mar 2006 07:01:24 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Programs

Alan Duval wrote:
> Hi,
> 
> Is it necessary to buy OpenOffice from Mensys to have a functioning copy 
> for eCS? As it is freely available for other platforms I don't see why 
> Mensys charges for it.

Open Office for OS/2 is a purchasable product. It can either be bought 
from Innotek via Mensys or it forms part of the eCS application pack 
that can be purchased for use with eCS or OS/2.

If you use ODIN you can download the "free" windows version and run it 
via ODIN, some components don't work reliably however - if I remember 
correctly, printing being one. These "problem components" have been 
re-written in the OS/2 version by Innotek, hence the OS/2 version is not 
simply the Open Office code re-compiled for OS/2.

I believe if you purchase OOO/2 now you can register for the upgrade to 
version 2.0 - this offer may have finished however - check he 
eComstation and Mensys sites for details.
> 
> Also could someone tell me what Dialog Enhancer does? I came across it 
> when checking for new downloads with ECSMT. It doesn't have any docs 
> with it.
> 
DE is one of several tools that improve the "look and feel" of objects 
on the WorkPlace shell.

> Regards,
> 
> Alan Duval

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 01 Mar 2006 20:41:01 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Text from a PDF

Hi everybody.

A long time ago (at least two releases) I was able to use Ghostscript and
GSView to extract the text from a PDF.

With GSView v4.5 and Ghostscript v8.52 I can't seem to find the ps2text
utility anymore. 

Can anyone please explain what has happened?

Can anyone (else) explain how to restore that facility, please?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... What we go after here determines where we go hereafter
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 01 Mar 2006 22:29:15 +1100
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:  Re:  Programs

Hi Chuck,

Thanks for your detailed reply to my questions re OpenOffice and dialog 
enhancer.

Regards,

Alan Duval
----------------------------------------------------------------------------------